▼ |  | Dr Racket Plugins

1 | Dr Racket support for #lang-based Languages
2 | Implementing Dr Racket Plugins
3 | Adding Languages to Dr Racket
4 | Creating New Kinds of Dr Racket Frames
5 | Extending the Existing Dr Racket Classes
6 | Expanding the User’s Program Text and Breaking
7 | Editor Modes
8 | Plugin Capabilities
9 | Check Syntax
10 | Cooperating with Background Check Syntax
11 | Teaching Languages
12 | Signatures
13 | drracket: get/ extend
14 | drracket: unit
15 | drracket: language
16 | drracket: language-configuration
17 | drracket: debug
18 | drracket: rep
19 | drracket: frame
20 | drracket: help-desk
21 | drracket: eval
22 | drracket: modes
23 | drracket: module-language-tools
24 | drracket: module-language
25 | drracket: tracing
26 | Backwards Compatibility
| Index

On this page:

drscheme: tool^
drscheme: tool-exports^
drscheme: debug: profile-definitions-text-mixin
drscheme: debug: profile-tab-mixin
drscheme: debug: profile-unit-frame-mixin
drscheme: debug: test-coverage-interactions-text-mixin
drscheme: debug: test-coverage-definitions-text-mixin
drscheme: debug: test-coverage-tab-mixin
drscheme: debug: test-coverage-frame-mixin
drscheme: unit: tab%
drscheme: unit: frame%
drscheme: unit: definitions-canvas%
drscheme: unit: get-definitions-text%
drscheme: unit: interactions-canvas%
drscheme: rep: drs-bindings-keymap-mixin
drscheme: rep: text%
drscheme: rep: text<%>
drscheme: frame: mixin
drscheme: frame: basics-mixin
drscheme: language: language<%>
drscheme: language: module-based-language<%>
drscheme: language: simple-module-based-language<%>
drscheme: language: simple-module-based-language%
drscheme: language: simple-module-based-language->module-based-language-mixin
drscheme: language: module-based-language->language-mixin
drscheme: tracing: tab-mixin
drscheme: tracing: frame-mixin
drscheme: module-language: module-language<%>
drscheme: module-language-tools: frame-mixin
drscheme: module-language-tools: tab-mixin
drscheme: module-language-tools: definitions-text-mixin
drscheme: frame: basics<%>
drscheme: frame: <%>
drscheme: unit: frame<%>
drscheme: unit: definitions-text<%>
drscheme: unit: tab<%>
drscheme: rep: context<%>
drscheme: module-language-tools: definitions-text<%>
drscheme: module-language-tools: tab<%>
drscheme: module-language-tools: frame<%>
drscheme: debug: error-display-handler/ stacktrace
drscheme: debug: make-debug-error-display-handler
drscheme: debug: hide-backtrace-window
drscheme: debug: add-prefs-panel
drscheme: debug: make-debug-eval-handler
drscheme: debug: test-coverage-enabled
drscheme: debug: test-coverage-on-style-name
drscheme: debug: test-coverage-off-style-name
drscheme: debug: profiling-enabled
drscheme: debug: bug-info->ticket-url
drscheme: debug: small-planet-bitmap
drscheme: debug: open-and-highlight-in-file
drscheme: debug: show-backtrace-window/ edition-pairs
drscheme: debug: show-backtrace-window/ edition-pairs/ two
drscheme: debug: get-error-color
drscheme: debug: show-backtrace-window
drscheme: debug: srcloc->edition/ pair
drscheme: eval: set-basic-parameters
drscheme: eval: get-snip-classes
drscheme: eval: expand-program
drscheme: eval: traverse-program/ multiple
drscheme: eval: expand-program/ multiple
drscheme: eval: build-user-eventspace/ custodian
drscheme: get/ extend: extend-unit-frame
drscheme: get/ extend: get-unit-frame
drscheme: get/ extend: extend-tab
drscheme: get/ extend: get-tab
drscheme: get/ extend: extend-definitions-text
drscheme: get/ extend: get-definitions-text
drscheme: get/ extend: extend-interactions-text
drscheme: get/ extend: get-interactions-text
drscheme: get/ extend: extend-definitions-canvas
drscheme: get/ extend: get-definitions-canvas
drscheme: get/ extend: extend-interactions-canvas
drscheme: get/ extend: get-interactions-canvas
drscheme: get/ extend: disallow-re-extension!
drscheme: get/ extend: allow-re-extension!
drscheme: help-desk: help-desk
drscheme: help-desk: goto-plt-license
drscheme: language-configuration: get-languages
drscheme: language-configuration: add-language
drscheme: language-configuration: get-settings-preferences-symbol
drscheme: language-configuration: language-settings?
drscheme: language-configuration: language-settings-language
drscheme: language-configuration: language-settings-settings
drscheme: language-configuration: struct: language-settings
drscheme: language-configuration: make-language-settings
drscheme: language-configuration: language-dialog
drscheme: language-configuration: fill-language-dialog
drscheme: language: register-capability
drscheme: language: capability-registered?
drscheme: language: get-capability-default
drscheme: language: get-capability-contract
drscheme: language: add-snip-value
drscheme: language: extend-language-interface
drscheme: language: get-default-mixin
drscheme: language: get-language-extensions
drscheme: language: put-executable
drscheme: language: create-executable-gui
drscheme: language: create-module-based-stand-alone-executable
drscheme: language: create-module-based-distribution
drscheme: language: create-distribution-for-executable
drscheme: language: create-module-based-launcher
drscheme: language: simple-module-based-language-convert-value
drscheme: language: setup-printing-parameters
drscheme: language: make-setup-printing-parameters
drscheme: language: text/ pos?
drscheme: language: text/ pos-text
drscheme: language: text/ pos-start
drscheme: language: text/ pos-end
drscheme: language: make-text/ pos
drscheme: language: struct: text/ pos
drscheme: language: simple-settings?
drscheme: language: simple-settings-case-sensitive
drscheme: language: simple-settings-printing-style
drscheme: language: simple-settings-fraction-style
drscheme: language: simple-settings-show-sharing
drscheme: language: simple-settings-insert-newlines
drscheme: language: simple-settings-annotations
drscheme: language: make-simple-settings
drscheme: language: struct: simple-settings
drscheme: language: simple-settings->vector
drscheme: modes: add-mode
drscheme: modes: mode?
drscheme: modes: mode-name
drscheme: modes: mode-surrogate
drscheme: modes: mode-repl-submit
drscheme: modes: mode-matches-language
drscheme: modes: mode-intended-to-edit-programs?
drscheme: modes: struct: mode
drscheme: modes: get-modes
drscheme: module-language-tools: add-opt-out-toolbar-button
drscheme: module-language-tools: add-opt-in-toolbar-button
drscheme: module-language-tools: add-online-expansion-handler
drscheme: module-language-tools: add-online-expansion-monitor
drscheme: module-language-tools: start?
drscheme: module-language-tools: register-online-expansion-pref
drscheme: module-language-tools: done?
drscheme: module-language-tools: done
drscheme: module-language: add-module-language
drscheme: module-language: module-language-put-file-mixin
drscheme: rep: get-welcome-delta
drscheme: rep: get-dark-green-delta
drscheme: rep: get-error-delta
drscheme: rep: get-drs-bindings-keymap
drscheme: rep: current-rep
drscheme: rep: current-value-port
drscheme: rep: after-expression
drscheme: rep: current-language-settings
drscheme: rep: module-language-initial-run
drscheme: unit: get-program-editor-mixin
drscheme: unit: add-to-program-editor-mixin
drscheme: unit: open-drscheme-window
drscheme: unit: add-search-help-desk-menu-item
drscheme: unit: teachpack-callbacks?
drscheme: unit: teachpack-callbacks-get-names
drscheme: unit: teachpack-callbacks-add
drscheme: unit: teachpack-callbacks-remove
drscheme: unit: teachpack-callbacks-remove-all
drscheme: unit: struct: teachpack-callbacks
drscheme: unit: make-teachpack-callbacks
drscheme: unit: find-symbol
drscheme: tracing: annotate

top ← prev up next →

### 26`` Backwards Compatibility

This section lists the bindings that begin with drscheme: provided by the tools library; they are here for backwards compatibility and to provide links to the drracket: versions of the names.

> > value

> > drscheme:tool^ : any/c

This is provided for backwards compatibility; new code should use drracket:tool^ instead.

> > value

> > drscheme:tool-exports^ : any/c

This is provided for backwards compatibility; new code should use drracket:tool-exports^ instead.

> > value

> > drscheme:debug:profile-definitions-text-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:debug:profile-definitions-text-mixin instead.

> > value

> > drscheme:debug:profile-tab-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:debug:profile-tab-mixin instead.

> > value

> > drscheme:debug:profile-unit-frame-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:debug:profile-unit-frame-mixin instead.

> > value

> > drscheme:debug:test-coverage-interactions-text-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:debug:test-coverage-interactions-text-mixin instead.

> > value

> > drscheme:debug:test-coverage-definitions-text-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:debug:test-coverage-definitions-text-mixin instead.

> > value

> > drscheme:debug:test-coverage-tab-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:debug:test-coverage-tab-mixin instead.

> > value

> > drscheme:debug:test-coverage-frame-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:debug:test-coverage-frame-mixin instead.

> > value

> > drscheme:unit:tab% : any/c

This is provided for backwards compatibility; new code should use drracket:unit:tab% instead.

> > value

> > drscheme:unit:frame% : any/c

This is provided for backwards compatibility; new code should use drracket:unit:frame% instead.

> > value

> > drscheme:unit:definitions-canvas% : any/c

This is provided for backwards compatibility; new code should use drracket:unit:definitions-canvas% instead.

> > value

> > drscheme:unit:get-definitions-text% : any/c

This is provided for backwards compatibility; new code should use drracket:unit:get-definitions-text% instead.

> > value

> > drscheme:unit:interactions-canvas% : any/c

This is provided for backwards compatibility; new code should use drracket:unit:interactions-canvas% instead.

> > value

> > drscheme:rep:drs-bindings-keymap-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:rep:drs-bindings-keymap-mixin instead.

> > value

> > drscheme:rep:text% : any/c

This is provided for backwards compatibility; new code should use drracket:rep:text% instead.

> > value

> > drscheme:rep:text<%> : any/c

This is provided for backwards compatibility; new code should use drracket:rep:text<%> instead.

> > value

> > drscheme:frame:mixin : any/c

This is provided for backwards compatibility; new code should use drracket:frame:mixin instead.

> > value

> > drscheme:frame:basics-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:frame:basics-mixin instead.

> > value

> > drscheme:language:language<%> : any/c

This is provided for backwards compatibility; new code should use drracket:language:language<%> instead.

> > value

> > drscheme:language:module-based-language<%> : any/c

This is provided for backwards compatibility; new code should use drracket:language:module-based-language<%> instead.

> > value

> > drscheme:language:simple-module-based-language<%> : any/c

This is provided for backwards compatibility; new code should use drracket:language:simple-module-based-language<%> instead.

> > value

> > drscheme:language:simple-module-based-language% : any/c

This is provided for backwards compatibility; new code should use drracket:language:simple-module-based-language% instead.

> > value

> > drscheme:language:simple-module-based-language->module-based-language-mixin

> : any/c

This is provided for backwards compatibility; new code should use drracket:language:simple-module-based-language->module-based-language-mixin instead.

> > value

> > drscheme:language:module-based-language->language-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:language:module-based-language->language-mixin instead.

> > value

> > drscheme:tracing:tab-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:tracing:tab-mixin instead.

> > value

> > drscheme:tracing:frame-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:tracing:frame-mixin instead.

> > value

> > drscheme:module-language:module-language<%> : any/c

This is provided for backwards compatibility; new code should use drracket:module-language:module-language<%> instead.

> > value

> > drscheme:module-language-tools:frame-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:module-language-tools:frame-mixin instead.

> > value

> > drscheme:module-language-tools:tab-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:module-language-tools:tab-mixin instead.

> > value

> > drscheme:module-language-tools:definitions-text-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:module-language-tools:definitions-text-mixin instead.

> > value

> > drscheme:frame:basics<%> : any/c

This is provided for backwards compatibility; new code should use drracket:frame:basics<%> instead.

> > value

> > drscheme:frame:<%> : any/c

This is provided for backwards compatibility; new code should use drracket:frame:<%> instead.

> > value

> > drscheme:unit:frame<%> : any/c

This is provided for backwards compatibility; new code should use drracket:unit:frame<%> instead.

> > value

> > drscheme:unit:definitions-text<%> : any/c

This is provided for backwards compatibility; new code should use drracket:unit:definitions-text<%> instead.

> > value

> > drscheme:unit:tab<%> : any/c

This is provided for backwards compatibility; new code should use drracket:unit:tab<%> instead.

> > value

> > drscheme:rep:context<%> : any/c

This is provided for backwards compatibility; new code should use drracket:rep:context<%> instead.

> > value

> > drscheme:module-language-tools:definitions-text<%> : any/c

This is provided for backwards compatibility; new code should use drracket:module-language-tools:definitions-text<%> instead.

> > value

> > drscheme:module-language-tools:tab<%> : any/c

This is provided for backwards compatibility; new code should use drracket:module-language-tools:tab<%> instead.

> > value

> > drscheme:module-language-tools:frame<%> : any/c

This is provided for backwards compatibility; new code should use drracket:module-language-tools:frame<%> instead.

> > value

> > drscheme:debug:error-display-handler/stacktrace

> :

> (->* (string? any/c)
> ((or/c false/c (listof srcloc?))
> #:definitions-text (or/c #f (is-a?/c drracket:unit:definitions-text<%>))
> #:interactions-text (or/c #f (is-a?/c drracket:rep:text<%>)))
> any/c)

This binding provided for backwards compatibility; new code should use drracket:debug:error-display-handler/stacktrace instead.

> > value

> > drscheme:debug:make-debug-error-display-handler

> :

> (-> (-> string? (or/c any/c exn?) any)
> (-> string? (or/c any/c exn?) any))

This binding provided for backwards compatibility; new code should use drracket:debug:make-debug-error-display-handler instead.

> > value

> > drscheme:debug:hide-backtrace-window : (-> void?)

This binding provided for backwards compatibility; new code should use drracket:debug:hide-backtrace-window instead.

> > value

> > drscheme:debug:add-prefs-panel : (-> void?)

This binding provided for backwards compatibility; new code should use drracket:debug:add-prefs-panel instead.

> > value

> > drscheme:debug:make-debug-eval-handler

> : (-> (-> any/c any) (-> any/c any))

This binding provided for backwards compatibility; new code should use drracket:debug:make-debug-eval-handler instead.

> > value

> > drscheme:debug:test-coverage-enabled : (parameter/c boolean?)

This binding provided for backwards compatibility; new code should use drracket:debug:test-coverage-enabled instead.

> > value

> > drscheme:debug:test-coverage-on-style-name : string?

This binding provided for backwards compatibility; new code should use drracket:debug:test-coverage-on-style-name instead.

> > value

> > drscheme:debug:test-coverage-off-style-name : string?

This binding provided for backwards compatibility; new code should use drracket:debug:test-coverage-off-style-name instead.

> > value

> > drscheme:debug:profiling-enabled : (parameter/c boolean?)

This binding provided for backwards compatibility; new code should use drracket:debug:profiling-enabled instead.

> > value

> > drscheme:debug:bug-info->ticket-url

> :

> (-> (listof (cons/c symbol? (or/c #f string?)))
> url?)

This binding provided for backwards compatibility; new code should use drracket:debug:bug-info->ticket-url instead.

> > value

> > drscheme:debug:small-planet-bitmap : (is-a?/c bitmap%)

This binding provided for backwards compatibility; new code should use drracket:debug:small-planet-bitmap instead.

> > value

> > drscheme:debug:open-and-highlight-in-file

> :

> (->* ((or/c srcloc? (listof srcloc?)))
> ((or/c #f (cons/c (λ (x) (and (weak-box? x)
> (let ([v (weak-box-value x)])
> (or (not v)
> (is-a? v editor<%>)))))
> number?)))
> void?)

This binding provided for backwards compatibility; new code should use drracket:debug:open-and-highlight-in-file instead.

> > value

> > drscheme:debug:show-backtrace-window/edition-pairs

> :

> (-> string?
> (listof srcloc?)
> (listof
> (or/c
> #f
> (cons/c (λ (x)
> (and (weak-box? x)
> (let ([v (weak-box-value x)])
> (or (not v)
> (is-a? v editor<%>)))))
> number?)))
> (or/c #f (is-a?/c drracket:unit:definitions-text<%>))
> (or/c #f (is-a?/c drracket:rep:text<%>))
> void?)

This binding provided for backwards compatibility; new code should use drracket:debug:show-backtrace-window/edition-pairs instead.

> > value

> > drscheme:debug:show-backtrace-window/edition-pairs/two

> :

> (-> string?
> (listof srcloc?)
> (listof
> (or/c
> #f
> (cons/c (λ (x)
> (and (weak-box? x)
> (let ([v (weak-box-value x)])
> (or (not v)
> (is-a? v editor<%>)))))
> number?)))
> (listof srcloc?)
> (listof
> (or/c
> #f
> (cons/c (λ (x)
> (and (weak-box? x)
> (let ([v (weak-box-value x)])
> (or (not v)
> (is-a? v editor<%>)))))
> number?)))
> (or/c #f (is-a?/c drracket:unit:definitions-text<%>))
> (or/c #f (is-a?/c drracket:rep:text<%>))
> void?)

This binding provided for backwards compatibility; new code should use drracket:debug:show-backtrace-window/edition-pairs/two instead.

> > value

> > drscheme:debug:get-error-color : (-> (is-a?/c color%))

This binding provided for backwards compatibility; new code should use drracket:debug:get-error-color instead.

> > value

> > drscheme:debug:show-backtrace-window

> :

> (->* (string?
> (or/c exn?
> (listof srcloc?)
> (non-empty-listof (cons/c string? (listof srcloc?)))))
> ((or/c #f (is-a?/c drracket:rep:text<%>))
> (or/c #f (is-a?/c drracket:unit:definitions-text<%>)))
> void?)

This binding provided for backwards compatibility; new code should use drracket:debug:show-backtrace-window instead.

> > value

> > drscheme:debug:srcloc->edition/pair

> :

> (->* (srcloc?
> (or/c #f (is-a?/c drracket:rep:text<%>))
> (or/c #f (is-a?/c drracket:unit:definitions-text<%>)))
> ((or/c #f (and/c hash? hash-equal?)))
> (or/c #f (cons/c (let ([weak-box-containing-an-editor?
> (λ (x) (and (weak-box? x)
> (let ([v (weak-box-value x)])
> (or (not v)
> (is-a? v editor<%>)))))])
> weak-box-containing-an-editor?)
> number?)))

This binding provided for backwards compatibility; new code should use drracket:debug:srcloc->edition/pair instead.

> > value

> > drscheme:eval:set-basic-parameters

> :

> (->* ((listof (is-a?/c snip-class%)))
> (#:gui-modules? boolean?)
> void?)

This binding provided for backwards compatibility; new code should use drracket:eval:set-basic-parameters instead.

> > value

> > drscheme:eval:get-snip-classes

> : (-> (listof (is-a?/c snip-class%)))

This binding provided for backwards compatibility; new code should use drracket:eval:get-snip-classes instead.

> > value

> > drscheme:eval:expand-program

> :

> (->* ((or/c input-port? drracket:language:text/pos?)
> drracket:language-configuration:language-settings?
> boolean?
> (-> void?)
> (-> void?)
> (-> (or/c eof-object? syntax? (cons/c string? any/c))
> (-> any)
> any))
> (#:gui-modules? boolean?)
> void?)

This binding provided for backwards compatibility; new code should use drracket:eval:expand-program instead.

> > value

> > drscheme:eval:traverse-program/multiple

> :

> (->* (drracket:language-configuration:language-settings?
> (-> void?)
> (-> void?))
> (#:gui-modules? boolean?)
> (-> (or/c input-port? drracket:language:text/pos?)
> (-> (or/c eof-object? syntax? (cons/c string? any/c))
> (-> any)
> any)
> boolean?
> void?))

This binding provided for backwards compatibility; new code should use drracket:eval:traverse-program/multiple instead.

> > value

> > drscheme:eval:expand-program/multiple

> :

> (->* (drracket:language-configuration:language-settings?
> boolean?
> (-> void?)
> (-> void?))
> (#:gui-modules? boolean?)
> (-> (or/c input-port? drracket:language:text/pos?)
> (-> (or/c eof-object? syntax? (cons/c string? any/c))
> (-> any)
> any)
> boolean?
> void?))

This binding provided for backwards compatibility; new code should use drracket:eval:expand-program/multiple instead.

> > value

> > drscheme:eval:build-user-eventspace/custodian

> :

> (->* (drracket:language-configuration:language-settings?
> (-> void?)
> (-> void?))
> (#:gui-modules? boolean?)
> (values eventspace? custodian?))

This binding provided for backwards compatibility; new code should use drracket:eval:build-user-eventspace/custodian instead.

> > value

> > drscheme:get/extend:extend-unit-frame

> :

> (->i ([mixin (make-mixin-contract drracket:unit:frame%)])
> ([before boolean?]
> #:name-for-changes [name-for-changes (or/c #f symbol?)])
> [result void?])

This binding provided for backwards compatibility; new code should use drracket:get/extend:extend-unit-frame instead.

> > value

> > drscheme:get/extend:get-unit-frame

> : (-> (subclass?/c drracket:unit:frame%))

This binding provided for backwards compatibility; new code should use drracket:get/extend:get-unit-frame instead.

> > value

> > drscheme:get/extend:extend-tab

> :

> (->i ([mixin (make-mixin-contract drracket:unit:tab<%>)])
> ([before boolean?]
> #:name-for-changes [name-for-changes (or/c #f symbol?)])
> [result void?])

This binding provided for backwards compatibility; new code should use drracket:get/extend:extend-tab instead.

> > value

> > drscheme:get/extend:get-tab

> : (-> (implementation?/c drracket:unit:tab<%>))

This binding provided for backwards compatibility; new code should use drracket:get/extend:get-tab instead.

> > value

> > drscheme:get/extend:extend-definitions-text

> :

> (->i ([mixin (make-mixin-contract drracket:unit:definitions-text<%>
> editor:standard-style-list<%>
> editor:info<%>
> racket:text<%>
> text:all-string-snips<%>
> text:file<%>
> text:info<%>
> text:wide-snip<%>)])
> ([before boolean?]
> #:name-for-changes [name-for-changes (or/c #f symbol?)])
> [result void?])

This binding provided for backwards compatibility; new code should use drracket:get/extend:extend-definitions-text instead.

> > value

> > drscheme:get/extend:get-definitions-text

> :

> (-> (and/c (implementation?/c drracket:unit:definitions-text<%>)
> (implementation?/c editor:standard-style-list<%>)
> (implementation?/c editor:info<%>)
> (implementation?/c racket:text<%>)
> (implementation?/c text:all-string-snips<%>)
> (implementation?/c text:file<%>)
> (implementation?/c text:info<%>)
> (implementation?/c text:wide-snip<%>)))

This binding provided for backwards compatibility; new code should use drracket:get/extend:get-definitions-text instead.

> > value

> > drscheme:get/extend:extend-interactions-text

> :

> (->i ([mixin (make-mixin-contract drracket:rep:text<%>)])
> ([before boolean?]
> #:name-for-changes [name-for-changes (or/c #f symbol?)])
> [result void?])

This binding provided for backwards compatibility; new code should use drracket:get/extend:extend-interactions-text instead.

> > value

> > drscheme:get/extend:get-interactions-text

> : (-> (implementation?/c drracket:rep:text<%>))

This binding provided for backwards compatibility; new code should use drracket:get/extend:get-interactions-text instead.

> > value

> > drscheme:get/extend:extend-definitions-canvas

> :

> (->i ([mixin (make-mixin-contract drracket:unit:definitions-canvas%)])
> ([before boolean?]
> #:name-for-changes [name-for-changes (or/c #f symbol?)])
> [result void?])

This binding provided for backwards compatibility; new code should use drracket:get/extend:extend-definitions-canvas instead.

> > value

> > drscheme:get/extend:get-definitions-canvas

> : (-> (subclass?/c drracket:unit:definitions-canvas%))

This binding provided for backwards compatibility; new code should use drracket:get/extend:get-definitions-canvas instead.

> > value

> > drscheme:get/extend:extend-interactions-canvas

> :

> (->i ([mixin (make-mixin-contract drracket:unit:interactions-canvas%)])
> ([before boolean?]
> #:name-for-changes [name-for-changes (or/c #f symbol?)])
> [result void?])

This binding provided for backwards compatibility; new code should use drracket:get/extend:extend-interactions-canvas instead.

> > value

> > drscheme:get/extend:get-interactions-canvas

> : (-> (subclass?/c drracket:unit:interactions-canvas%))

This binding provided for backwards compatibility; new code should use drracket:get/extend:get-interactions-canvas instead.

> > value

> > drscheme:get/extend:disallow-re-extension! : (-> void?)

This binding provided for backwards compatibility; new code should use drracket:get/extend:disallow-re-extension! instead.

> > value

> > drscheme:get/extend:allow-re-extension! : (-> void?)

This binding provided for backwards compatibility; new code should use drracket:get/extend:allow-re-extension! instead.

> > value

> > drscheme:help-desk:help-desk

> :

> (->* ()
> ((or/c #f string?)
> (or/c #f string? (list/c string? string?)))
> any)

This binding provided for backwards compatibility; new code should use drracket:help-desk:help-desk instead.

> > value

> > drscheme:help-desk:goto-plt-license : (-> void?)

This binding provided for backwards compatibility; new code should use drracket:help-desk:goto-plt-license instead.

> > value

> > drscheme:language-configuration:get-languages

> : (-> (listof (is-a?/c drracket:language:language<%>)))

This binding provided for backwards compatibility; new code should use drracket:language-configuration:get-languages instead.

> > value

> > drscheme:language-configuration:add-language

> :

> (->* ((and/c (is-a?/c drracket:language:language<%>)
> drracket:language:object/c))
> (#:allow-executable-creation? boolean?)
> void?)

This binding provided for backwards compatibility; new code should use drracket:language-configuration:add-language instead.

> > value

> > drscheme:language-configuration:get-settings-preferences-symbol

> : (-> symbol?)

This binding provided for backwards compatibility; new code should use drracket:language-configuration:get-settings-preferences-symbol instead.

> > value

> > drscheme:language-configuration:language-settings?

> : (-> any/c boolean?)

This binding provided for backwards compatibility; new code should use drracket:language-configuration:language-settings? instead.

> > value

> > drscheme:language-configuration:language-settings-language

> : (-> drracket:language-configuration:language-settings? (or/c (is-a?/c drracket:language:language<%>) drracket:language:object/c))

This binding provided for backwards compatibility; new code should use drracket:language-configuration:language-settings-language instead.

> > value

> > drscheme:language-configuration:language-settings-settings

> : (-> drracket:language-configuration:language-settings? any/c)

This binding provided for backwards compatibility; new code should use drracket:language-configuration:language-settings-settings instead.

> > value

> > drscheme:language-configuration:struct:language-settings

> : struct-type?

This binding provided for backwards compatibility; new code should use drracket:language-configuration:struct:language-settings instead.

> > value

> > drscheme:language-configuration:make-language-settings

> : procedure?

This binding provided for backwards compatibility; new code should use drracket:language-configuration:make-language-settings instead.

> > value

> > drscheme:language-configuration:language-dialog

> :

> (->* (boolean? drracket:language-configuration:language-settings?)
> ((or/c false/c (is-a?/c top-level-window<%>)))
> (or/c false/c drracket:language-configuration:language-settings?))

This binding provided for backwards compatibility; new code should use drracket:language-configuration:language-dialog instead.

> > value

> > drscheme:language-configuration:fill-language-dialog

> :

> (->*
> ((is-a?/c vertical-panel%)
> (is-a?/c area-container<%>)
> drracket:language-configuration:language-settings?)
> ((or/c false/c (is-a?/c top-level-window<%>))
> (-> symbol? void?))
> (values (-> (is-a?/c drracket:language:language<%>))
> (-> any/c)
> (-> any/c (is-a?/c mouse-event%) any)))

This binding provided for backwards compatibility; new code should use drracket:language-configuration:fill-language-dialog instead.

> > value

> > drscheme:language:register-capability

> :

> (->i ([s symbol?]
> [the-contract contract?]
> [default (the-contract) the-contract])
> ()
> [res void?])

This binding provided for backwards compatibility; new code should use drracket:language:register-capability instead.

> > value

> > drscheme:language:capability-registered? : (-> symbol? boolean?)

This binding provided for backwards compatibility; new code should use drracket:language:capability-registered? instead.

> > value

> > drscheme:language:get-capability-default

> :

> (->i ([s (and/c symbol? drracket:language:capability-registered?)])
> ()
> [res (s) (drracket:language:get-capability-contract s)])

This binding provided for backwards compatibility; new code should use drracket:language:get-capability-default instead.

> > value

> > drscheme:language:get-capability-contract

> :

> (-> (and/c symbol? drracket:language:capability-registered?)
> contract?)

This binding provided for backwards compatibility; new code should use drracket:language:get-capability-contract instead.

> > value

> > drscheme:language:add-snip-value

> :

> (->* ((-> any/c boolean?)
> (-> any/c (is-a?/c snip%)))
> ((-> any/c))
> void?)

This binding provided for backwards compatibility; new code should use drracket:language:add-snip-value instead.

> > value

> > drscheme:language:extend-language-interface

> :

> (-> interface?
> (make-mixin-contract drracket:language:language<%>)
> void?)

This binding provided for backwards compatibility; new code should use drracket:language:extend-language-interface instead.

> > value

> > drscheme:language:get-default-mixin

> : (-> (make-mixin-contract drracket:language:language<%>))

This binding provided for backwards compatibility; new code should use drracket:language:get-default-mixin instead.

> > value

> > drscheme:language:get-language-extensions

> : (-> (listof interface?))

This binding provided for backwards compatibility; new code should use drracket:language:get-language-extensions instead.

> > value

> > drscheme:language:put-executable

> :

> ((is-a?/c top-level-window<%>)
> path?
> (or/c boolean? 'launcher 'standalone 'distribution)
> boolean?
> string?
> . -> . (or/c false/c path?))

This binding provided for backwards compatibility; new code should use drracket:language:put-executable instead.

> > value

> > drscheme:language:create-executable-gui

> :

> ((or/c #f (is-a?/c top-level-window<%>))
> (or/c #f string?)
> (or/c #t 'launcher 'standalone 'distribution)
> (or/c #t 'mzscheme 'mred)
> . -> .
> (or/c #f
> (list/c (or/c 'no-show 'launcher 'stand-alone 'distribution)
> (or/c 'no-show 'mred 'mzscheme)
> string?
> (listof (cons/c symbol? any/c)))))

This binding provided for backwards compatibility; new code should use drracket:language:create-executable-gui instead.

> > value

> > drscheme:language:create-module-based-stand-alone-executable

> :

> ((or/c path? string?)
> (or/c path? string?) any/c any/c any/c boolean? boolean?
> . -> .
> void?)

This binding provided for backwards compatibility; new code should use drracket:language:create-module-based-stand-alone-executable instead.

> > value

> > drscheme:language:create-module-based-distribution

> :

> ((or/c path? string?)
> (or/c path? string?) any/c any/c any/c boolean? boolean?
> . -> .
> void?)

This binding provided for backwards compatibility; new code should use drracket:language:create-module-based-distribution instead.

> > value

> > drscheme:language:create-distribution-for-executable

> :

> ((or/c path? string?)
> boolean?
> (-> path? void?)
> . -> .
> void?)

This binding provided for backwards compatibility; new code should use drracket:language:create-distribution-for-executable instead.

> > value

> > drscheme:language:create-module-based-launcher

> :

> ((or/c path? string?) (or/c path? string?) any/c any/c any/c boolean? boolean?
> . -> .
> void?)

This binding provided for backwards compatibility; new code should use drracket:language:create-module-based-launcher instead.

> > value

> > drscheme:language:simple-module-based-language-convert-value

> : (-> any/c drracket:language:simple-settings? any)

This binding provided for backwards compatibility; new code should use drracket:language:simple-module-based-language-convert-value instead.

> > value

> > drscheme:language:setup-printing-parameters

> : (-> (-> any) drracket:language:simple-settings? (or/c number? 'infinity) any)

This binding provided for backwards compatibility; new code should use drracket:language:setup-printing-parameters instead.

> > value

> > drscheme:language:make-setup-printing-parameters

> : (-> (-> (-> any) drracket:language:simple-settings? (or/c number? 'infinity) any))

This binding provided for backwards compatibility; new code should use drracket:language:make-setup-printing-parameters instead.

> > value

> > drscheme:language:text/pos? : (-> any/c boolean?)

This binding provided for backwards compatibility; new code should use drracket:language:text/pos? instead.

> > value

> > drscheme:language:text/pos-text

> : (-> drracket:language:text/pos? (is-a?/c text%))

This binding provided for backwards compatibility; new code should use drracket:language:text/pos-text instead.

> > value

> > drscheme:language:text/pos-start

> : (-> drracket:language:text/pos? exact-nonnegative-integer?)

This binding provided for backwards compatibility; new code should use drracket:language:text/pos-start instead.

> > value

> > drscheme:language:text/pos-end

> : (-> drracket:language:text/pos? exact-nonnegative-integer?)

This binding provided for backwards compatibility; new code should use drracket:language:text/pos-end instead.

> > value

> > drscheme:language:make-text/pos : procedure?

This binding provided for backwards compatibility; new code should use drracket:language:make-text/pos instead.

> > value

> > drscheme:language:struct:text/pos : struct-type?

This binding provided for backwards compatibility; new code should use drracket:language:struct:text/pos instead.

> > value

> > drscheme:language:simple-settings? : (-> any/c boolean?)

This binding provided for backwards compatibility; new code should use drracket:language:simple-settings? instead.

> > value

> > drscheme:language:simple-settings-case-sensitive

> : (-> drracket:language:simple-settings? boolean?)

This binding provided for backwards compatibility; new code should use drracket:language:simple-settings-case-sensitive instead.

> > value

> > drscheme:language:simple-settings-printing-style

> : (-> drracket:language:simple-settings? (or/c 'constructor 'quasiquote 'write 'trad-write 'print))

This binding provided for backwards compatibility; new code should use drracket:language:simple-settings-printing-style instead.

> > value

> > drscheme:language:simple-settings-fraction-style

> : (-> drracket:language:simple-settings? (or/c 'mixed-fraction 'mixed-fraction-e 'repeating-decimal 'repeating-decimal-e))

This binding provided for backwards compatibility; new code should use drracket:language:simple-settings-fraction-style instead.

> > value

> > drscheme:language:simple-settings-show-sharing

> : (-> drracket:language:simple-settings? boolean?)

This binding provided for backwards compatibility; new code should use drracket:language:simple-settings-show-sharing instead.

> > value

> > drscheme:language:simple-settings-insert-newlines

> : (-> drracket:language:simple-settings? boolean?)

This binding provided for backwards compatibility; new code should use drracket:language:simple-settings-insert-newlines instead.

> > value

> > drscheme:language:simple-settings-annotations

> : (-> drracket:language:simple-settings? (or/c 'none 'debug 'debug/profile 'test-coverage))

This binding provided for backwards compatibility; new code should use drracket:language:simple-settings-annotations instead.

> > value

> > drscheme:language:make-simple-settings : procedure?

This binding provided for backwards compatibility; new code should use drracket:language:make-simple-settings instead.

> > value

> > drscheme:language:struct:simple-settings : struct-type?

This binding provided for backwards compatibility; new code should use drracket:language:struct:simple-settings instead.

> > value

> > drscheme:language:simple-settings->vector

> : (drracket:language:simple-settings? . -> . vector?)

This binding provided for backwards compatibility; new code should use drracket:language:simple-settings->vector instead.

> > value

> > drscheme:modes:add-mode

> :

> (->* (string?
> (or/c #f (is-a?/c mode:surrogate-text<%>))
> (-> (is-a?/c drracket:rep:text%) number? boolean?)
> (-> (or/c #f (listof string?)) boolean?))
> (#:intended-to-edit-programs? boolean?)
> drracket:modes:mode?)

This binding provided for backwards compatibility; new code should use drracket:modes:add-mode instead.

> > value

> > drscheme:modes:mode? : (-> any/c boolean?)

This binding provided for backwards compatibility; new code should use drracket:modes:mode? instead.

> > value

> > drscheme:modes:mode-name : (-> drracket:modes:mode? string?)

This binding provided for backwards compatibility; new code should use drracket:modes:mode-name instead.

> > value

> > drscheme:modes:mode-surrogate

> : (-> drracket:modes:mode? (or/c #f (is-a?/c mode:surrogate-text<%>)))

This binding provided for backwards compatibility; new code should use drracket:modes:mode-surrogate instead.

> > value

> > drscheme:modes:mode-repl-submit

> : (-> drracket:modes:mode? (-> (is-a?/c drracket:rep:text%) number? boolean?))

This binding provided for backwards compatibility; new code should use drracket:modes:mode-repl-submit instead.

> > value

> > drscheme:modes:mode-matches-language

> : (-> drracket:modes:mode? (-> (or/c #f (listof string?)) boolean?))

This binding provided for backwards compatibility; new code should use drracket:modes:mode-matches-language instead.

> > value

> > drscheme:modes:mode-intended-to-edit-programs?

> : (-> drracket:modes:mode? boolean?)

This binding provided for backwards compatibility; new code should use drracket:modes:mode-intended-to-edit-programs? instead.

> > value

> > drscheme:modes:struct:mode : struct-type?

This binding provided for backwards compatibility; new code should use drracket:modes:struct:mode instead.

> > value

> > drscheme:modes:get-modes : (-> (listof drracket:modes:mode?))

This binding provided for backwards compatibility; new code should use drracket:modes:get-modes instead.

> > value

> > drscheme:module-language-tools:add-opt-out-toolbar-button

> :

> (->* ((-> (is-a?/c top-level-window<%>)
> (is-a?/c area-container<%>)
> (is-a?/c switchable-button%))
> symbol?)
> (#:number (or/c real? #f))
> void?)

This binding provided for backwards compatibility; new code should use drracket:module-language-tools:add-opt-out-toolbar-button instead.

> > value

> > drscheme:module-language-tools:add-opt-in-toolbar-button

> :

> (->* ((-> (is-a?/c top-level-window<%>)
> (is-a?/c area-container<%>)
> (is-a?/c switchable-button%))
> symbol?)
> (#:number (or/c real? #f))
> void?)

This binding provided for backwards compatibility; new code should use drracket:module-language-tools:add-opt-in-toolbar-button instead.

> > value

> > drscheme:module-language-tools:add-online-expansion-handler

> :

> (-> path-string? symbol? (-> (is-a?/c drracket:unit:definitions-text<%>)
> any/c
> any)
> void?)

This binding provided for backwards compatibility; new code should use drracket:module-language-tools:add-online-expansion-handler instead.

> > value

> > drscheme:module-language-tools:add-online-expansion-monitor

> :

> (-> path-string? symbol?
> (-> (is-a?/c drracket:unit:definitions-text<%>)
> (or/c drracket:module-language-tools:start?
> any/c)
> any)
> void?)

This binding provided for backwards compatibility; new code should use drracket:module-language-tools:add-online-expansion-monitor instead.

> > value

> > drscheme:module-language-tools:start? : (-> any/c boolean?)

This binding provided for backwards compatibility; new code should use drracket:module-language-tools:start? instead.

> > value

> > drscheme:module-language-tools:register-online-expansion-pref

> : (-> (-> (is-a?/c vertical-panel%) void?) void?)

This binding provided for backwards compatibility; new code should use drracket:module-language-tools:register-online-expansion-pref instead.

> > value

> > drscheme:module-language-tools:done? : (-> any/c boolean?)

This binding provided for backwards compatibility; new code should use drracket:module-language-tools:done? instead.

> > value

> > drscheme:module-language-tools:done

> : drracket:module-language-tools:done?

This binding provided for backwards compatibility; new code should use drracket:module-language-tools:done instead.

> > value

> > drscheme:module-language:add-module-language : (-> any)

This binding provided for backwards compatibility; new code should use drracket:module-language:add-module-language instead.

> > value

> > drscheme:module-language:module-language-put-file-mixin

> : (-> (implementation?/c text:basic<%>) (implementation?/c text:basic<%>))

This binding provided for backwards compatibility; new code should use drracket:module-language:module-language-put-file-mixin instead.

> > value

> > drscheme:rep:get-welcome-delta : (-> (is-a?/c style-delta%))

This binding provided for backwards compatibility; new code should use drracket:rep:get-welcome-delta instead.

> > value

> > drscheme:rep:get-dark-green-delta : (-> (is-a?/c style-delta%))

This binding provided for backwards compatibility; new code should use drracket:rep:get-dark-green-delta instead.

> > value

> > drscheme:rep:get-error-delta : (-> (is-a?/c style-delta%))

This binding provided for backwards compatibility; new code should use drracket:rep:get-error-delta instead.

> > value

> > drscheme:rep:get-drs-bindings-keymap : (-> (is-a?/c keymap%))

This binding provided for backwards compatibility; new code should use drracket:rep:get-drs-bindings-keymap instead.

> > value

> > drscheme:rep:current-rep

> : (-> (or/c false/c (is-a?/c drracket:rep:text%)))

This binding provided for backwards compatibility; new code should use drracket:rep:current-rep instead.

> > value

> > drscheme:rep:current-value-port : (-> (or/c false/c port?))

This binding provided for backwards compatibility; new code should use drracket:rep:current-value-port instead.

> > value

> > drscheme:rep:after-expression : (parameter/c (or/c #f (-> any)))

This binding provided for backwards compatibility; new code should use drracket:rep:after-expression instead.

> > value

> > drscheme:rep:current-language-settings

> : (parameter/c drracket:language-configuration:language-settings?)

This binding provided for backwards compatibility; new code should use drracket:rep:current-language-settings instead.

> > value

> > drscheme:rep:module-language-initial-run

> : (parameter/c boolean?)

This binding provided for backwards compatibility; new code should use drracket:rep:module-language-initial-run instead.

> > value

> > drscheme:unit:get-program-editor-mixin

> : (-> ((subclass?/c text%) . -> . (subclass?/c text%)))

This binding provided for backwards compatibility; new code should use drracket:unit:get-program-editor-mixin instead.

> > value

> > drscheme:unit:add-to-program-editor-mixin

> : (((subclass?/c text%) . -> . (subclass?/c text%)) . -> . void?)

This binding provided for backwards compatibility; new code should use drracket:unit:add-to-program-editor-mixin instead.

> > value

> > drscheme:unit:open-drscheme-window

> :

> (->* ()
> ((or/c string? #f) #:show? boolean?)
> (is-a?/c drracket:unit:frame%))

This binding provided for backwards compatibility; new code should use drracket:unit:open-drscheme-window instead.

> > value

> > drscheme:unit:add-search-help-desk-menu-item

> : (->* ((is-a?/c text%) (is-a?/c menu-item-container<%>) exact-nonnegative-integer?) ((-> any)) void?)

This binding provided for backwards compatibility; new code should use drracket:unit:add-search-help-desk-menu-item instead.

> > value

> > drscheme:unit:teachpack-callbacks? : (-> any/c boolean?)

This binding provided for backwards compatibility; new code should use drracket:unit:teachpack-callbacks? instead.

> > value

> > drscheme:unit:teachpack-callbacks-get-names

> : (-> drracket:unit:teachpack-callbacks? (-> any/c (listof string?)))

This binding provided for backwards compatibility; new code should use drracket:unit:teachpack-callbacks-get-names instead.

> > value

> > drscheme:unit:teachpack-callbacks-add

> : (-> drracket:unit:teachpack-callbacks? (-> any/c path-string? any/c))

This binding provided for backwards compatibility; new code should use drracket:unit:teachpack-callbacks-add instead.

> > value

> > drscheme:unit:teachpack-callbacks-remove

> : (-> drracket:unit:teachpack-callbacks? (-> path-string? any/c any/c))

This binding provided for backwards compatibility; new code should use drracket:unit:teachpack-callbacks-remove instead.

> > value

> > drscheme:unit:teachpack-callbacks-remove-all

> : (-> drracket:unit:teachpack-callbacks? (-> any/c any/c))

This binding provided for backwards compatibility; new code should use drracket:unit:teachpack-callbacks-remove-all instead.

> > value

> > drscheme:unit:struct:teachpack-callbacks : struct-type?

This binding provided for backwards compatibility; new code should use drracket:unit:struct:teachpack-callbacks instead.

> > value

> > drscheme:unit:make-teachpack-callbacks : procedure?

This binding provided for backwards compatibility; new code should use drracket:unit:make-teachpack-callbacks instead.

> > value

> > drscheme:unit:find-symbol

> : (-> (is-a?/c text%) exact-nonnegative-integer? string?)

This binding provided for backwards compatibility; new code should use drracket:unit:find-symbol instead.

> > value

> > drscheme:tracing:annotate : (-> syntax? syntax?)

This binding provided for backwards compatibility; new code should use drracket:tracing:annotate instead.
top ← prev up next →